1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

3K3Y Revelations - More Information And Video

Discussion in 'PS3 - Modding & Hacking' started by marcusita, Oct 13, 2012.

  1. marcusita

    marcusita Regular member

    Joined:
    Oct 25, 2007
    Messages:
    1,400
    Likes Received:
    0
    Trophy Points:
    46
    Hi guys, the 3K3Y team have released more info about their upcoming device, here are some features:

    More info and video:
    http://www.ps3hax.net/2012/10/3k3y-revelations-more-information-and-video/


    My personal opinions on this, is if they cannot get past the 3.55 barrier, then its already dead.
  2. AfterDawn

    AfterDawn Advertisement

  3. Cyprien

    Cyprien Active member

    Joined:
    Nov 2, 2003
    Messages:
    2,026
    Likes Received:
    0
    Trophy Points:
    66
    yeah the 3.55 does indeed makes this one dead in the water.... and i was right the device itself reads file system that's a nice thing... but meh... one point does bother me... how can this run ps2 games... its disabled in the system itself.. i know BC units do work but they are old... its not like cobra that runs payload and uses syscalls.. a pass through device only does so much but only to a limit its built for... and the linux thing... so it runs linux mounts image sends commands bridge redirects and ps3 reads... using jtag is interesting.... whats missing... for me at least... does it emulate the drive firm or it actually hardware... either one of them is kinda nice if you have a way of dumping it why not write it back to the original drive as well.. as long they both use the same flash type... heh thinking to much again.. lol :3
  4. tongs007

    tongs007 Regular member

    Joined:
    Jan 26, 2007
    Messages:
    1,515
    Likes Received:
    1
    Trophy Points:
    48
    do you think you could stay on 3.55 and still play newer games if you dont want/care for psn?
    Last edited: Oct 14, 2012
  5. Eisherz

    Eisherz Regular member

    Joined:
    Nov 28, 2006
    Messages:
    2,643
    Likes Received:
    1
    Trophy Points:
    48
    I seriously hope for it being dead in the water. This is only a piracy device, proving Sony right.
  6. Cyprien

    Cyprien Active member

    Joined:
    Nov 2, 2003
    Messages:
    2,026
    Likes Received:
    0
    Trophy Points:
    66
    whats the point then.... if you stay on 3.55... you don't need this device lol... multiman with bdemu and a payload will take of it lol... now if youre on say 4.25 you can use this device... but then the whole 1:1 copy you need the original game... im pretty sure if you use the ps3gen you can build 1:1 copy of your backups lol... this device is not worth it if you use lots of homebrew... sure it can be ideal for DEX running games with less hassle but meh.. still not worth it..
  7. tongs007

    tongs007 Regular member

    Joined:
    Jan 26, 2007
    Messages:
    1,515
    Likes Received:
    1
    Trophy Points:
    48
    i havent put a game on my ps3 for ages because i couldnt be bothered with the patching and getting fixes and it just being a ballache so i bought an xk3y for the xbox which is just a drag and drop job, very easy,all this mutiman with this programme and that programme and doing this and that is just hassle lol, thats why i would like this 3k3y but stay on 3.55 and save my homebrew for showtime
    Last edited: Oct 14, 2012
  8. Cyprien

    Cyprien Active member

    Joined:
    Nov 2, 2003
    Messages:
    2,026
    Likes Received:
    0
    Trophy Points:
    66
    but you wont be playing all the new games lol... not unless you install the eboot fixes... with a price of xkey its cheaper to do RGH lol... multiman is all you need really it has ftp built in so just upload the game into the hdd and run multiman then just pick the game from the list and play... almost the same as drag and drop... i never had a problem to ftp to my ps3 with speeds of 50-80mb/s on 1gb link using cat6 cables with a 1gb switch box or a 1000 base router.... playing halo 4 and forza horizon w/o using a single disk is great i say lol
    Last edited: Oct 14, 2012
  9. tongs007

    tongs007 Regular member

    Joined:
    Jan 26, 2007
    Messages:
    1,515
    Likes Received:
    1
    Trophy Points:
    48
    ive just statred ftping to my ps3 with 3d mkv and it works brilliant, guess i should get up to date with things then :)
  10. Cyprien

    Cyprien Active member

    Joined:
    Nov 2, 2003
    Messages:
    2,026
    Likes Received:
    0
    Trophy Points:
    66
    showtime v4 can use usb... hell it can even run movies from media(cd/dvd/bluray).. you dont really need to upload it anywhere lol.... imagine all the porn collection you have with all them files just sitting on a single 50gb bluray that showtime will play once it inserted into the ps3 hehehehehehe "inserted" >_>
  11. Eisherz

    Eisherz Regular member

    Joined:
    Nov 28, 2006
    Messages:
    2,643
    Likes Received:
    1
    Trophy Points:
    48
    For RGH you need skill, for xk3y you don't. That's the only reason the xk3y is so popular.
  12. tongs007

    tongs007 Regular member

    Joined:
    Jan 26, 2007
    Messages:
    1,515
    Likes Received:
    1
    Trophy Points:
    48
  13. Cyprien

    Cyprien Active member

    Joined:
    Nov 2, 2003
    Messages:
    2,026
    Likes Received:
    0
    Trophy Points:
    66
    im not trying to argue but price vise rgh is cheaper... you can get your xbox done for about 60 bucks... i used to do them for 50 bucks... lol... if you're quick you can do 5 to 6 units a day... you dont even need to hack the drive... you will hardly use it anyway... if you get it installed by someone id still prefer rgh/jtag
    Last edited: Oct 15, 2012
  14. DavGerm4

    DavGerm4 Regular member

    Joined:
    May 25, 2006
    Messages:
    2,409
    Likes Received:
    0
    Trophy Points:
    46
    Yeah I owned an RGH Console that had the TX DemoN installed, and it was quite the unit! xk3y is just a little too expensive in my eyes, and I wouldn't mind having this for a PS3, but I have the superslim system now, and it's on the 4.25 Firmware, and I highly doubt it can be downgraded to 3.55 since it came shipped with 4.20.

    Oh well...
  15. cowboy333

    cowboy333 Member

    Joined:
    Jul 15, 2007
    Messages:
    83
    Likes Received:
    0
    Trophy Points:
    16
    Xkey can also be used online which for me makes it the better option :)
  16. goyankees

    goyankees Regular member

    Joined:
    Apr 30, 2007
    Messages:
    583
    Likes Received:
    0
    Trophy Points:
    26
    im pretty sure you can downgrade with e3 flasher if your on 4.20.
  17. Eisherz

    Eisherz Regular member

    Joined:
    Nov 28, 2006
    Messages:
    2,643
    Likes Received:
    1
    Trophy Points:
    48
    There are even slim versions that can't be downgraded past 3.6, so I highly doubt the new superslim can be downgraded to 3.55.
  18. goyankees

    goyankees Regular member

    Joined:
    Apr 30, 2007
    Messages:
    583
    Likes Received:
    0
    Trophy Points:
    26
    Oh my bad, didnt notice we were talking bout the new super slim. Yea those are a no go for now.
  19. Eisherz

    Eisherz Regular member

    Joined:
    Nov 28, 2006
    Messages:
    2,643
    Likes Received:
    1
    Trophy Points:
    48
    And what an ugly one...
  20. goyankees

    goyankees Regular member

    Joined:
    Apr 30, 2007
    Messages:
    583
    Likes Received:
    0
    Trophy Points:
    26
    The new super slims? They say to stick with 4.25 in case a downgrade is made for it but i doubt it.
  21. Cyprien

    Cyprien Active member

    Joined:
    Nov 2, 2003
    Messages:
    2,026
    Likes Received:
    0
    Trophy Points:
    66
    if there was an option to bypass syscon we all would be downgrading ps3s by now no matter what version it is.. there's some progress made to be able to install rebug 4.21 on 25xx models using a flasher.... 3k 4k models still wont allow it due to metldr.2 and having lv0.2.... any model under 3k and 4k can be be installed with 4.21 cfw using a flasher as long its not having metldr.2 and lv0.2 and under 4.21 as base fw...

Share This Page